Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Class ValidityViolation

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xml.sax.SAXException
                  org.xml.sax.SAXParseException
                      com.sun.msv.verifier.ValidityViolation

All Implemented Interfaces:
  java.io.Serializable

public class ValidityViolation
extends org.xml.sax.SAXParseException

Contains information about where and how validity violation was happened.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Constructor Summary
`ValidityViolation(org.xml.sax.Locator loc, java.lang.String msg, ErrorInfo ei)`

Method Summary
`ErrorInfo` | `getErrorInfo()` Gets the detailed error information, if any.

Methods inherited from class org.xml.sax.SAXParseException
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidityViolation

    public ValidityViolation(org.xml.sax.Locator loc,
                             java.lang.String msg,
                             ErrorInfo ei)

Method Detail

### getErrorInfo

    public ErrorInfo getErrorInfo()

  Gets the detailed error information, if any. If there is no detailed information available, it returns null. Otherwise one of the derived classes of ErrorInfo will be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD